
Figure - Bug #114395
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】屏幕下方时常弹出“认证成功”的提示
2022-12-07 17:59 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-07

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212070251

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212160615

Reproducibility: Every time Fixed Version: 2022-12-13

Test Type: IT Root cause: 乐播投屏在SDK初始化时,注册服务监听回调事件.验证SKD服务,根据官方文档解释:乐播投屏SDK需要License认证才能使用。在第一步SDK集成之后，必须设置License认证接口(设置服务发布状态监听)，否则正常使用投屏功能。如果license校验失败, 会在IServerListener的回调方法里收到相关信息.在收到信息后乐播投屏会使用Toast展示连接信息,由于prd没有此要求,所有把toast换为Log

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入桌面

2、等待

【预期结果】

2、页面一直显示正常

【实际结果】

2、屏幕下方时常弹出“认证成功”的提示

History

#1 - 2022-12-07 18:25 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW王武军

似乎是从这弹出的，请帮忙分析

http://192.168.87.66:8006/source/xref/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/LA.QSSI/LINUX/android/vendor/hht/apps/LeBoCast/app/src/main/java/com/hht/lebo

cast/LelinkHelper.java#73

#2 - 2022-12-08 11:36 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V5.0_20221230

#3 - 2022-12-13 11:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

169653 general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

2025-07-04 1/2

http://192.168.87.66:8006/source/xref/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/LA.QSSI/LINUX/android/vendor/hht/apps/LeBoCast/app/src/main/java/com/hht/lebocast/LelinkHelper.java#73
http://192.168.87.66:8006/source/xref/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/LA.QSSI/LINUX/android/vendor/hht/apps/LeBoCast/app/src/main/java/com/hht/lebocast/LelinkHelper.java#73


AF:LeboCast: Fixed show toat 认证成功TC-RID: 1201-0300501IssueID: TS-R-BUG-114395Change-Id: Iac992d8eea338fbff4155423d8d6586a767b2660

#4 - 2022-12-13 19:10 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW王武军 to CD TEST-方永红

- % Done changed from 0 to 100

- Degrated changed from -- to No

- Fixed Version set to 2022-12-13

- Root cause set to 乐播投屏在SDK初始化时,注册服务监听回调事件.验证SKD服务,根据官方文档解释:乐播投屏SDK需要License认证才能使用。在第一

步SDK集成之后，必须设置License认证接口(设置服务发布状态监听)，否则正常使用投屏功能。如果license校验失败, 会在IServerListener的回调方法里收到

相关信息.在收到信息后乐播投屏会使用Toast展示连接信息,由于prd没有此要求,所有把toast换为Log

■ Current conclusion

Bug is fixed

■ My analysis

乐播投屏在SDK初始化时,注册服务监听回调事件.验证SKD服务,根据官方文档解释:乐播投屏SDK需要License认证才能使用。在第一步SDK集成之后，必须

设置License认证接口(设置服务发布状态监听)，否则正常使用投屏功能。如果license校验失败, 会在IServerListener的回调方法里收到相关信息.在收到信息

后乐播投屏会使用Toast展示连接信息,由于prd没有此要求,所有把toast换为Log

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/hht/apps/LeBoCast/+/169653

#5 - 2022-12-16 19:02 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212160615

12.16 

观察一天，无“认证成功”提示弹出

#6 - 2022-12-16 19:02 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#7 - 2023-01-05 10:11 - CD FW-程天颖

- Resolution changed from -- to FIXED
